GeoTessCPP: geotess::GeoTessOptimizationType Class Reference

GeoTessCPP 2.2.3 Software to facilitate storage and retrieval of 3D information about the Earth.

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
geotess::GeoTessOptimizationType Class Reference

Enumeration of the optimization strategies supported by GeoTess including OptimizationType::SPEED and OptimizationType::MEMORY. More...

`#include <GeoTessOptimizationType.h>`

Inheritance diagram for geotess::GeoTessOptimizationType:

## Public Member Functions
virtual | ~GeoTessOptimizationType ()
Public Member Functions inherited from geotess::GeoTessEnumType
virtual | ~GeoTessEnumType ()
string | toString () const
string | name () const
int | ordinal () const

## Static Public Member Functions
static const GeoTessOptimizationType * | valueOf (const string &s)
static GeoTessOptimizationType const *const *const | values ()
static int | size ()

## Static Public Attributes
static const GeoTessOptimizationType | SPEED
static const GeoTessOptimizationType | MEMORY
static const GeoTessOptimizationType * | aArray []

## Additional Inherited Members
Protected Member Functions inherited from geotess::GeoTessEnumType
| GeoTessEnumType ()
| GeoTessEnumType (const GeoTessEnumType &et)
GeoTessEnumType & | operator= (const GeoTessEnumType &et)
| GeoTessEnumType (const string &name, int ordinal)
Static Protected Member Functions inherited from geotess::GeoTessEnumType
static const GeoTessEnumType * | valueOf (const string &s, GeoTessEnumType const *const *const array, int n)
Protected Attributes inherited from geotess::GeoTessEnumType
const string | aName
const int | aOrdinal

## Detailed Description

Enumeration of the optimization strategies supported by GeoTess including OptimizationType::SPEED and OptimizationType::MEMORY.

Optimize for speed or memory

Definition at line 68 of file GeoTessOptimizationType.h.

## Constructor & Destructor Documentation

## ◆ ~GeoTessOptimizationType()

virtual geotess::GeoTessOptimizationType::~GeoTessOptimizationType | ( |  | ) |
| inlinevirtual

Standard Destructor.

Definition at line 135 of file GeoTessOptimizationType.h.

## Member Function Documentation

## ◆ size()

static int geotess::GeoTessOptimizationType::size | ( |  | ) |
| inlinestatic

Returns the total number of enums of this type.

Definition at line 174 of file GeoTessOptimizationType.h.

## ◆ valueOf()

static const GeoTessOptimizationType* geotess::GeoTessOptimizationType::valueOf | ( | const string & | s | ) |
| inlinestatic

Returns a pointer to the enum whose string matches the input string. If no match is found null is returned.

Parameters

  s | The input string for which a match in array is returned (or null).

Returns
  The match of s in the names of array or null if one was not found.

Definition at line 156 of file GeoTessOptimizationType.h.

## ◆ values()

static GeoTessOptimizationType const* const* const geotess::GeoTessOptimizationType::values | ( |  | ) |
| inlinestatic

Returns the array of all enums for this type.

Definition at line 166 of file GeoTessOptimizationType.h.

## Member Data Documentation

## ◆ aArray

const GeoTessOptimizationType* geotess::GeoTessOptimizationType::aArray[]
| static

The array containing all enums declared above.

Definition at line 130 of file GeoTessOptimizationType.h.

## ◆ MEMORY

const GeoTessOptimizationType geotess::GeoTessOptimizationType::MEMORY
| static

Definition at line 125 of file GeoTessOptimizationType.h.

## ◆ SPEED

const GeoTessOptimizationType geotess::GeoTessOptimizationType::SPEED
| static

The actual enums for this type.

Definition at line 124 of file GeoTessOptimizationType.h.

The documentation for this class was generated from the following file:

- rstt/GeoTessCPP/include/GeoTessOptimizationType.h